package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationNewOrdersD;
import com.artfess.cqlt.model.QfOperationNewOrdersM;

import java.util.List;

/**
 * 运营--新订单数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-02-21
 */
public interface QfOperationNewOrdersMManager extends BaseManager<QfOperationNewOrdersM> {

    boolean insertInfo(QfOperationNewOrdersM t);

    boolean updateInfo(QfOperationNewOrdersM t);

    boolean updateStatus(QfOperationNewOrdersM t);

    boolean importExcel(List<QfOperationNewOrdersD> list, String mainId);
}
